Page MenuHomePhabricator

MFA: Remove mobile.startup/user
Closed, ResolvedPublic3 Story Points

Description

While porting this to webpack, I couldn't help but notice how redundant this is.

It adds indirection to our code and provides additional convenience methods such as inUserBucketA, getGroups and getEditCount

We should explore porting those 3 methods to core if they are useful or removing them from our codebase entirely.

Acceptance criteria

  • inUserBucketA not used by Minerva or MobileFrontend. Remove it.
  • getGroups not used by Minerva or MobileFrontend. Remove it.
  • Update existing usages of the user module to use mw.user

Developer notes

It seems the edit count is most frequently used for bucketed editing counts. A bucketed and standardised edit count in core would be super useful to support existing and future schemas. Instead of upstreaming getEditCount we might instead choose to upstream getEditBucket from Popups. We'd need to update MobileWebMainMenuClickTracking to use an edited bucket count. See T210106.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 19 2018, 7:09 PM
Jdlrobson raised the priority of this task from Low to Normal.Oct 10 2018, 6:52 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task from Needs Prioritization to Upcoming on the Readers-Web-Backlog board.
Niedzielski updated the task description. (Show Details)Oct 24 2018, 4:47 PM
Niedzielski updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)Nov 13 2018, 5:47 PM
Jdlrobson set the point value for this task to 3.

Estimation doesn't completely cover the risk in upstreaming to core. If we hit problems with this, we should split this out into a new ticket. The important thing is to remove our user module.

Jdlrobson renamed this task from Deprecate mobile.startup/user to MFA: Deprecate mobile.startup/user.Nov 15 2018, 6:58 PM
Jdlrobson updated the task description. (Show Details)Nov 21 2018, 7:13 PM

Change 475133 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Update usages of user module to mw.user

https://gerrit.wikimedia.org/r/475133

Jdlrobson renamed this task from MFA: Deprecate mobile.startup/user to MFA: Remove mobile.startup/user.Nov 21 2018, 7:29 PM

Change 475138 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Wean editor off getEditCount in preparation for user deprecation

https://gerrit.wikimedia.org/r/475138

Change 475139 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Remove the user object from MobileFrontend

https://gerrit.wikimedia.org/r/475139

Change 475133 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Update usages of user module to mw.user

https://gerrit.wikimedia.org/r/475133

Krinkle added a subscriber: Krinkle.

(Tagging internally for historical record, so that we easily find this task when attempting to correlate a ticket with the date a perf graph changes.)

Change 475138 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Wean editor off getEditCount in preparation for user deprecation

https://gerrit.wikimedia.org/r/475138

Change 475139 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Remove the user object from MobileFrontend

https://gerrit.wikimedia.org/r/475139

pmiazga closed this task as Resolved.Nov 28 2018, 11:13 PM
pmiazga removed a project: Patch-For-Review.
pmiazga updated the task description. (Show Details)